> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# addStateRegistrationForOregon

> The respective  Code of the State is entered for Verification



## OpenAPI

````yaml post /stateRegistration#addStateRegistrationForOregon
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /stateRegistration#addStateRegistrationForOregon:
    post:
      tags: []
      summary: addStateRegistrationForOregon
      description: The respective  Code of the State is entered for Verification
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addStateRegistrationForOregon
                companyId:
                  type: string
                code:
                  type: string
                companyStateRegistration:
                  type: object
                  properties:
                    Business Identification Number (BIN):
                      type: string
                    Lane Transit District Tax:
                      type: string
                    Statewide Transit Tax Number:
                      type: string
                    TriMet Transit Tax Number:
                      type: string
                    Unemployement Rate:
                      type: string
                    Worker's Benefit Fund (WBF):
                      type: string
                  required:
                    - Business Identification Number (BIN)
                    - Lane Transit District Tax
                    - Statewide Transit Tax Number
                    - TriMet Transit Tax Number
                    - Unemployement Rate
                    - Worker's Benefit Fund (WBF)
              required:
                - method
                - companyId
                - code
                - companyStateRegistration
            example:
              method: addStateRegistration
              companyId: 962D5035-6F51-41D3-94E8-1BF7A00955CF
              code: OR
              companyStateRegistration:
                Business Identification Number (BIN): '655665520'
                Lane Transit District Tax: '52'
                Statewide Transit Tax Number: '741258023'
                TriMet Transit Tax Number: '665562'
                Unemployement Rate: '2.5'
                Worker's Benefit Fund (WBF): '7'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - message
              example:
                status: Success
                message: >-
                  The company state registrations for Lakin LLC have been saved
                  successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid companyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````